Request

Endpoint: !modifyThirdPartyDetails

https://secure.trust-provider.com/products/!modifyThirdPartyDetails

Use the POST method for this endpoint.

Submit parameters in the x-www-form-urlencoded format.

Request parameters

The following table lists the required and optional parameters.

Parameter Requirement Type Max.Length Description

loginName

required

string

64 chars

Your account username.

This value is case sensitive.

loginPassword

required

string

128 chars

Your account password.

This value is case sensitive.

orderNumber

required

integer

The order number to modify.

product

required

integer

The supported values are:

  • CodeGuard Products:

    • 700 — CodeGuard (Personal)

    • 701 — CodeGuard (Professional)

    • 702 — CodeGuard (Company)

    • 703 — CodeGuard (Small Business)

  • HackerGuardian Products:

    • 341 — HackerGuardian Free PCI Scanning Service (45 days)

    • 586 — HackerGuardian Lite (Retail Only)

    • 346 — HackerGuardian Standard

    • 349 — HackerGuardian Enterprise

    • 357 — HackerGuardian HackerProof

  • Web Package:

    • 1000 — Sectigo Web Monitor

    • 1001 — Sectigo Web Remediate

    • 1002 — Sectigo Web Perform

    • 1003 — Sectigo Web Complete

    • 1004 — Sectigo Web Remediate Partner

    • 1005 — Sectigo Web Perform Partner

    • 1006 — Sectigo Web Complete Partner

    • 1007 — Sectigo Web One Time Remediate

    • 1008 — Sectigo Web Accelerate

    • 1009 — Sectigo Web Firewall

  • Sitelock Products:

    • 1059 — SiteLock Monitor

    • 1060 — SiteLock Basic

    • 1061 — SiteLock Pro

    • 1062 — SiteLock Business

    • 1068 — 5 GB Backup Addon

    • 1069 — 10 GB Backup Addon

    • 1070 — 25 GB Backup Addon

    • 1071 — TrueShield Addon

qualysLoginName

optional

string

50 chars

The login name for the HackerGuardian products.

qualysCompanyName

required

string

50 chars

The company name for HackerGuardian products.

codeGuardUserName

optional

string

50 char

The username for the CodeGuard products.

codeGuardUserEmail

optional

string

50 chars

The email for the CodeGuard products.

action

required

string

The possible values are:

  • IMMEDIATELY (default)

  • ON EXPIRATION

cancelType

optional

string

The possible values are:

  • IMMEDIATELY (default)

  • ON EXPIRATION

This parameter is only relevant for SiteLock products.

Sample request

Cancel the license in the submitted order
curl --location 'https://secure.trust-provider.com/products/!modifyThirdPartyDetails' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'product=product_code' \
--data-urlencode 'orderNumber=order_number' \
--data-urlencode 'action=CANCELLICENCE'
Modify the third-party account details
curl --location 'https://secure.trust-provider.com/products/!modifyThirdPartyDetails' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'product=product_code' \
--data-urlencode 'orderNumber=341' \
--data-urlencode 'qualysLoginName=qualys_login_name'

Response

The request is successful when the server returns a response with the error code 0.

Any errorCode less than 0 indicates an error condition and the errorMessage provides more details.

Submit parameters in the x-www-form-urlencoded format.

Response parameters

The response may contain the following parameters:

Parameter Description

errorCode

A numeric code that identifies the type of the error. For more information, see Error codes.

errorMessage

A description of the error.

Sample success response

errorCode=0

Sample error response

errorCode=-17&errorMessage=Request used GET rather than POST!

Error codes

The following table outlines error responses returned by the modifyThirdPartyDetails API endpoint. Each error response consists of an errorCode and an errorMessage indicating why the request failed.

Error Code Error Message Description

-1

Request was not made over https!

The request must use HTTPS protocol.

-2

Unrecognised argument!

The provided argument is not recognized.

-3

The 'xxxx' argument is missing!

The required argument is missing from the request.

-4

The value of the 'xxxx' argument is invalid!

The argument value does not meet validation requirements.

-14

An unknown error occurred!

An unknown error occurred.

-16

Permission denied!

The user does not have permission for the requested context.

-17

Request used GET rather than POST!

The request method should be POST.

-42

Call limit reached! Please try again later.

The API call limit has been reached.